org.apache.maven.project

## Class ProjectBuildingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.project.ProjectBuildingException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    InvalidProjectModelException

      public class ProjectBuildingException
      extends java.lang.Exception

  Version:
    $Id: ProjectBuildingException.java 543605 2007-06-01 20:46:57Z jvanzyl $
  Author:
    Jason van Zyl
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectBuildingException(java.lang.String projectId, java.lang.String message)`
    `ProjectBuildingException(java.lang.String projectId, java.lang.String message, java.lang.Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `getProjectId()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectBuildingException

          public ProjectBuildingException(java.lang.String projectId,
                                  java.lang.String message)

    - #### ProjectBuildingException

          public ProjectBuildingException(java.lang.String projectId,
                                  java.lang.String message,
                                  java.lang.Throwable cause)

  - ### Method Detail

    - #### getProjectId

          public java.lang.String getProjectId()

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`